pub struct QuoteInstrument {
pub ticker: String,
pub class_code: String,
}Expand description
One instrument of a quotes request (POST /api/v1/quotes, schema QuotesRequest.instruments[]).
§Examples
use brokapi_bcs_protocol::http::models::QuoteInstrument;
let q = QuoteInstrument::new("SBER", "TQBR");
assert_eq!(serde_json::to_string(&q)?, r#"{"ticker":"SBER","classCode":"TQBR"}"#);Fields§
§ticker: StringTicker.
class_code: StringClass code (board).
Implementations§
Trait Implementations§
Source§impl Clone for QuoteInstrument
impl Clone for QuoteInstrument
Source§fn clone(&self) -> QuoteInstrument
fn clone(&self) -> QuoteInstrument
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for QuoteInstrument
impl Debug for QuoteInstrument
Source§impl PartialEq for QuoteInstrument
impl PartialEq for QuoteInstrument
Source§fn eq(&self, other: &QuoteInstrument) -> bool
fn eq(&self, other: &QuoteInstrument) -> bool
Tests for
self and other values to be equal, and is used by ==.Source§impl Serialize for QuoteInstrument
impl Serialize for QuoteInstrument
impl StructuralPartialEq for QuoteInstrument
Auto Trait Implementations§
impl Freeze for QuoteInstrument
impl RefUnwindSafe for QuoteInstrument
impl Send for QuoteInstrument
impl Sync for QuoteInstrument
impl Unpin for QuoteInstrument
impl UnsafeUnpin for QuoteInstrument
impl UnwindSafe for QuoteInstrument
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more